osgViewer::GraphicsHandleCarbon Class Reference

`#include <GraphicsHandleCarbon>`

## Public Member Functions

| GraphicsHandleCarbon ()
void | setAGLContext (AGLContext context)
AGLContext | getAGLContext () const

## Protected Attributes

AGLContext | _context

## Detailed Description

Class to encapsulate platform-specific OpenGL context handle variables. Derived osg::GraphicsContext classes can inherit from this class to share OpenGL resources.

## Constructor & Destructor Documentation

## GraphicsHandleCarbon()

osgViewer::GraphicsHandleCarbon::GraphicsHandleCarbon | ( |  | ) |

inline

References _context.

## Member Function Documentation

## getAGLContext()

AGLContext osgViewer::GraphicsHandleCarbon::getAGLContext | ( |  | ) | const

inline

Get native AGL graphics context.

References _context.

## setAGLContext()

void osgViewer::GraphicsHandleCarbon::setAGLContext | ( | AGLContext | context | ) |

inline

Set native AGL graphics context.

References _context.

## Member Data Documentation

## _context

AGLContext osgViewer::GraphicsHandleCarbon::_context

protected

Referenced by getAGLContext(), GraphicsHandleCarbon(), and setAGLContext().

The documentation for this class was generated from the following file:

- GraphicsHandleCarbon